Skip to content

Weaknesses API

GET /weaknesses

List the weaknesses.

Parameters:

  • page (optional, default: 1): the page to start

Example request:

GET /api/weaknesses HTTP/1.1
Host: app.opencve.io
Accept: application/json

Example response:

HTTP/1.1 200 OK
{
  "count": 728,
  "next": "https://app.opencve.io/api/weaknesses?page=2",
  "previous": null,
  "results": [
    {
      "created_at": "2024-09-06T08:17:45.994344Z",
      "updated_at": "2024-09-06T08:17:45.994344Z",
      "cwe_id": "CWE-1"
    },
    ...
  ]
}

GET /weaknesses/<id>

Get the details of a specific weakness.

Example request:

GET /api/weaknesses/CWE-1 HTTP/1.1
Host: app.opencve.io
Accept: application/json

Example response:

HTTP/1.1 200 OK
{
  "created_at": "2024-09-06T08:17:45.994344Z",
  "updated_at": "2024-09-06T08:17:45.994344Z",
  "cwe_id": "CWE-1"
}

GET /weaknesses/<id>/cve

List the CVEs associated to a weakness.

Parameters:

  • page (optional, default: 1): the page to start

Example request:

GET /api/weaknesses/CWE-770/cve HTTP/1.1
Host: app.opencve.io
Accept: application/json

Example response:

HTTP/1.1 200 OK
{
  "count": 1010,
  "next": "https://app.opencve.io/api/weaknesses/CWE-770/cve?page=2",
  "previous": null,
  "results": [
    {
      "created_at": "2024-09-23T00:00:00Z",
      "updated_at": "2024-11-07T08:15:13.007000Z",
      "cve_id": "CVE-2024-38286",
      "description": "Allocation of Resources Without Limits or Throttling vulnerability in Apache Tomcat.\n\nThis issue affects Apache Tomcat: from 11.0.0-M1 through 11.0.0-M20, from 10.1.0-M1 through 10.1.24, from 9.0.13 through 9.0.89. Older, unsupported versions may also be affected.\n\n\nUsers are recommended to upgrade to version 11.0.0-M21, 10.1.25, or 9.0.90, which fixes the issue.\n\n\n\nApache Tomcat, under certain configurations on any platform, allows an attacker to cause an OutOfMemoryError by abusing the TLS handshake process."
    },
    ...
  ]
}